Permalink
Browse files

bump deps

  • Loading branch information...
1 parent ade06c6 commit 38dea776780f00011ee8b5946ba0a612d9181d12 @yyx990803 yyx990803 committed Dec 29, 2016
Showing with 53 additions and 50 deletions.
  1. +3 −0 build/webpack.base.config.js
  2. +5 −5 package.json
  3. +45 −45 yarn.lock
@@ -50,5 +50,8 @@ module.exports = {
}
}
]
+ },
+ performance: {
+ hints: process.env.NODE_ENV === 'production' ? 'warning' : false
}
}
View
@@ -23,10 +23,10 @@
"lru-cache": "^4.0.2",
"serialize-javascript": "^1.3.0",
"serve-favicon": "^2.3.2",
- "vue": "^2.1.3",
+ "vue": "^2.1.8",
"vue-router": "^2.1.0",
- "vue-server-renderer": "^2.1.3",
- "vuex": "^2.0.0",
+ "vue-server-renderer": "^2.1.8",
+ "vuex": "^2.1.0",
"vuex-router-sync": "^4.0.2"
},
"devDependencies": {
@@ -43,8 +43,8 @@
"sw-precache-webpack-plugin": "^0.7.0",
"url-loader": "^0.5.7",
"vue-loader": "^10.0.2",
- "vue-template-compiler": "^2.1.3",
- "webpack": "^2.1.0-beta.26",
+ "vue-template-compiler": "^2.1.8",
+ "webpack": "^2.2.0-rc.3",
"webpack-dev-middleware": "^1.8.4",
"webpack-hot-middleware": "^2.13.2"
}
View
@@ -38,12 +38,12 @@ acorn@^4.0.3:
resolved "https://registry.yarnpkg.com/acorn/-/acorn-4.0.4.tgz#17a8d6a7a6c4ef538b814ec9abac2779293bf30a"
ajv-keywords@^1.1.1:
- version "1.4.1"
- resolved "https://registry.yarnpkg.com/ajv-keywords/-/ajv-keywords-1.4.1.tgz#f080e635e230baae26537ce727f260ae62b43802"
+ version "1.5.0"
+ resolved "https://registry.yarnpkg.com/ajv-keywords/-/ajv-keywords-1.5.0.tgz#c11e6859eafff83e0dafc416929472eca946aa2c"
ajv@^4.7.0:
- version "4.10.2"
- resolved "https://registry.yarnpkg.com/ajv/-/ajv-4.10.2.tgz#27a61437962cb6daf8023ca9ad2a30337d918dda"
+ version "4.10.3"
+ resolved "https://registry.yarnpkg.com/ajv/-/ajv-4.10.3.tgz#3e4fea9675b157de7888b80dd0ed735b83f28e11"
dependencies:
co "^4.6.0"
json-stable-stringify "^1.0.1"
@@ -137,8 +137,8 @@ arrify@^1.0.0:
resolved "https://registry.yarnpkg.com/arrify/-/arrify-1.0.1.tgz#898508da2226f380df904728456849c1501a4b0d"
asn1.js@^4.0.0:
- version "4.9.0"
- resolved "https://registry.yarnpkg.com/asn1.js/-/asn1.js-4.9.0.tgz#f71a1243f3e79d46d7b07d7fbf4824ee73af054a"
+ version "4.9.1"
+ resolved "https://registry.yarnpkg.com/asn1.js/-/asn1.js-4.9.1.tgz#48ba240b45a9280e94748990ba597d216617fd40"
dependencies:
bn.js "^4.0.0"
inherits "^2.0.1"
@@ -835,8 +835,8 @@ de-indent@^1.0.2:
resolved "https://registry.yarnpkg.com/de-indent/-/de-indent-1.0.2.tgz#b2038e846dc33baa5796128d0804b455b8c1e21d"
debug@*:
- version "2.5.1"
- resolved "https://registry.yarnpkg.com/debug/-/debug-2.5.1.tgz#9107bb4a506052ec2a02314bc606313ed2b921c1"
+ version "2.6.0"
+ resolved "https://registry.yarnpkg.com/debug/-/debug-2.6.0.tgz#bc596bcabe7617f11d9fa15361eded5608b8499b"
dependencies:
ms "0.7.2"
@@ -998,14 +998,14 @@ encodeurl@~1.0.1:
version "1.0.1"
resolved "https://registry.yarnpkg.com/encodeurl/-/encodeurl-1.0.1.tgz#79e3d58655346909fe6f0f45a5de68103b294d20"
-enhanced-resolve@^2.2.0:
- version "2.3.0"
- resolved "https://registry.yarnpkg.com/enhanced-resolve/-/enhanced-resolve-2.3.0.tgz#a115c32504b6302e85a76269d7a57ccdd962e359"
+enhanced-resolve@^3.0.0:
+ version "3.0.2"
+ resolved "https://registry.yarnpkg.com/enhanced-resolve/-/enhanced-resolve-3.0.2.tgz#0fa709f29e59ee23e6bbcb070c85f992d6247cd1"
dependencies:
graceful-fs "^4.1.2"
- memory-fs "^0.3.0"
+ memory-fs "^0.4.0"
object-assign "^4.0.1"
- tapable "^0.2.3"
+ tapable "^0.2.5"
enhanced-resolve@~0.9.0:
version "0.9.1"
@@ -1690,8 +1690,8 @@ js-base64@^2.1.9:
resolved "https://registry.yarnpkg.com/js-base64/-/js-base64-2.1.9.tgz#f0e80ae039a4bd654b5f281fc93f04a914a7fcce"
js-beautify@^1.6.3:
- version "1.6.4"
- resolved "https://registry.yarnpkg.com/js-beautify/-/js-beautify-1.6.4.tgz#a9af79699742ac9a1b6fddc1fdbc78bc4d515fc3"
+ version "1.6.7"
+ resolved "https://registry.yarnpkg.com/js-beautify/-/js-beautify-1.6.7.tgz#138bbe5f3a70e5674eaad6edc16617210ff037dd"
dependencies:
config-chain "~1.1.5"
editorconfig "^0.13.2"
@@ -1914,16 +1914,16 @@ memory-fs@^0.2.0:
version "0.2.0"
resolved "https://registry.yarnpkg.com/memory-fs/-/memory-fs-0.2.0.tgz#f2bb25368bc121e391c2520de92969caee0a0290"
-memory-fs@^0.3.0, memory-fs@~0.3.0:
- version "0.3.0"
- resolved "https://registry.yarnpkg.com/memory-fs/-/memory-fs-0.3.0.tgz#7bcc6b629e3a43e871d7e29aca6ae8a7f15cbb20"
+memory-fs@^0.4.0, memory-fs@~0.4.1:
+ version "0.4.1"
+ resolved "https://registry.yarnpkg.com/memory-fs/-/memory-fs-0.4.1.tgz#3a9a20b8462523e447cfbc7e8bb80ed667bfc552"
dependencies:
errno "^0.1.3"
readable-stream "^2.0.1"
-memory-fs@~0.4.1:
- version "0.4.1"
- resolved "https://registry.yarnpkg.com/memory-fs/-/memory-fs-0.4.1.tgz#3a9a20b8462523e447cfbc7e8bb80ed667bfc552"
+memory-fs@~0.3.0:
+ version "0.3.0"
+ resolved "https://registry.yarnpkg.com/memory-fs/-/memory-fs-0.3.0.tgz#7bcc6b629e3a43e871d7e29aca6ae8a7f15cbb20"
dependencies:
errno "^0.1.3"
readable-stream "^2.0.1"
@@ -2438,8 +2438,8 @@ postcss-minify-gradients@^1.0.1:
postcss-value-parser "^3.3.0"
postcss-minify-params@^1.0.4:
- version "1.2.1"
- resolved "https://registry.yarnpkg.com/postcss-minify-params/-/postcss-minify-params-1.2.1.tgz#c899444d9e2ff8933018befac151fbfadf10e737"
+ version "1.2.2"
+ resolved "https://registry.yarnpkg.com/postcss-minify-params/-/postcss-minify-params-1.2.2.tgz#ad2ce071373b943b3d930a3fa59a358c28d6f1f3"
dependencies:
alphanum-sort "^1.0.1"
postcss "^5.0.2"
@@ -2563,8 +2563,8 @@ postcss-zindex@^2.0.1:
uniqs "^2.0.0"
postcss@^5.0.10, postcss@^5.0.11, postcss@^5.0.12, postcss@^5.0.13, postcss@^5.0.14, postcss@^5.0.16, postcss@^5.0.2, postcss@^5.0.4, postcss@^5.0.5, postcss@^5.0.6, postcss@^5.0.8, postcss@^5.2.6:
- version "5.2.7"
- resolved "https://registry.yarnpkg.com/postcss/-/postcss-5.2.7.tgz#e38fb8370b7c0703922ecefdf21256c5f4b8d369"
+ version "5.2.8"
+ resolved "https://registry.yarnpkg.com/postcss/-/postcss-5.2.8.tgz#05720c49df23c79bda51fd01daeb1e9222e94390"
dependencies:
chalk "^1.1.3"
js-base64 "^2.1.9"
@@ -3147,8 +3147,8 @@ svgo@^0.7.0:
whet.extend "~0.9.9"
sw-precache-webpack-plugin@^0.7.0:
- version "0.7.0"
- resolved "https://registry.yarnpkg.com/sw-precache-webpack-plugin/-/sw-precache-webpack-plugin-0.7.0.tgz#b111935244debb503c26193f91564375524b452e"
+ version "0.7.1"
+ resolved "https://registry.yarnpkg.com/sw-precache-webpack-plugin/-/sw-precache-webpack-plugin-0.7.1.tgz#25a935b34ecf93a33beec8aa5daf573bc13f05ff"
dependencies:
del "^2.2.2"
sw-precache "^4.1.0"
@@ -3178,7 +3178,7 @@ tapable@^0.1.8, tapable@~0.1.8:
version "0.1.10"
resolved "https://registry.yarnpkg.com/tapable/-/tapable-0.1.10.tgz#29c35707c2b70e50d07482b5d202e8ed446dafd4"
-tapable@^0.2.3, tapable@~0.2.3:
+tapable@^0.2.5, tapable@~0.2.5:
version "0.2.5"
resolved "https://registry.yarnpkg.com/tapable/-/tapable-0.2.5.tgz#1ff6ce7ade58e734ca9bfe36ba342304b377a4d0"
@@ -3252,7 +3252,7 @@ type-is@~1.6.13:
media-typer "0.3.0"
mime-types "~2.1.13"
-uglify-js@~2.7.3, uglify-js@2.7.x:
+uglify-js@^2.7.5, uglify-js@~2.7.3, uglify-js@2.7.x:
version "2.7.5"
resolved "https://registry.yarnpkg.com/uglify-js/-/uglify-js-2.7.5.tgz#4612c0c7baaee2ba7c487de4904ae122079f2ca8"
dependencies:
@@ -3391,9 +3391,9 @@ vue-router@^2.1.0:
version "2.1.1"
resolved "https://registry.yarnpkg.com/vue-router/-/vue-router-2.1.1.tgz#10c31bbdcb6da92bd3e0223fa12345e73018625a"
-vue-server-renderer@^2.1.3:
- version "2.1.7"
- resolved "https://registry.yarnpkg.com/vue-server-renderer/-/vue-server-renderer-2.1.7.tgz#e3e17af044094209061282b57d27b14e0e6f39f1"
+vue-server-renderer@^2.1.8:
+ version "2.1.8"
+ resolved "https://registry.yarnpkg.com/vue-server-renderer/-/vue-server-renderer-2.1.8.tgz#834f2fc940b87f6f9bc6a1c8a604fddd5e6283ba"
dependencies:
de-indent "^1.0.2"
he "^1.1.0"
@@ -3404,9 +3404,9 @@ vue-style-loader@^1.0.0:
dependencies:
loader-utils "^0.2.7"
-vue-template-compiler@^2.1.3:
- version "2.1.7"
- resolved "https://registry.yarnpkg.com/vue-template-compiler/-/vue-template-compiler-2.1.7.tgz#5e1fc983271d3ac24c79abb64b71383357e2cea5"
+vue-template-compiler@^2.1.8:
+ version "2.1.8"
+ resolved "https://registry.yarnpkg.com/vue-template-compiler/-/vue-template-compiler-2.1.8.tgz#12dd1cc63793f59be580c694a61610cb9369d629"
dependencies:
de-indent "^1.0.2"
he "^1.1.0"
@@ -3415,15 +3415,15 @@ vue-template-es2015-compiler@^1.2.2:
version "1.4.2"
resolved "https://registry.yarnpkg.com/vue-template-es2015-compiler/-/vue-template-es2015-compiler-1.4.2.tgz#0bc595cda68fc27779568926fcead13553a335df"
-vue@^2.1.3:
- version "2.1.7"
- resolved "https://registry.yarnpkg.com/vue/-/vue-2.1.7.tgz#747880cb70a50c66cb8791aacfee7a6dab7fc842"
+vue@^2.1.8:
+ version "2.1.8"
+ resolved "https://registry.yarnpkg.com/vue/-/vue-2.1.8.tgz#ae30aa86024fccf5535292ce414e7b4c221a1756"
vuex-router-sync@^4.0.2:
version "4.0.2"
resolved "https://registry.yarnpkg.com/vuex-router-sync/-/vuex-router-sync-4.0.2.tgz#46e949f28a5d7275385a8300495752c34da0aeef"
-vuex@^2.0.0:
+vuex@^2.1.0:
version "2.1.1"
resolved "https://registry.yarnpkg.com/vuex/-/vuex-2.1.1.tgz#78463ee45fae4871c5d05177b4e8cedd9e2cbccc"
@@ -3495,16 +3495,16 @@ webpack@*:
watchpack "^0.2.1"
webpack-core "~0.6.9"
-webpack@^2.1.0-beta.26:
- version "2.1.0-beta.28"
- resolved "https://registry.yarnpkg.com/webpack/-/webpack-2.1.0-beta.28.tgz#8f9402c05bae04ab8d3918489b3547544a2e2641"
+webpack@^2.2.0-rc.3:
+ version "2.2.0-rc.3"
+ resolved "https://registry.yarnpkg.com/webpack/-/webpack-2.2.0-rc.3.tgz#ac072c06c88aae75abdfd33510e7c5fd965f843f"
dependencies:
acorn "^4.0.3"
acorn-dynamic-import "^2.0.0"
ajv "^4.7.0"
ajv-keywords "^1.1.1"
async "^2.1.2"
- enhanced-resolve "^2.2.0"
+ enhanced-resolve "^3.0.0"
interpret "^1.0.0"
json-loader "^0.5.4"
loader-runner "^2.2.0"
@@ -3515,8 +3515,8 @@ webpack@^2.1.0-beta.26:
object-assign "^4.0.1"
source-map "^0.5.3"
supports-color "^3.1.0"
- tapable "~0.2.3"
- uglify-js "~2.7.3"
+ tapable "~0.2.5"
+ uglify-js "^2.7.5"
watchpack "^1.0.0"
webpack-sources "^0.1.0"
yargs "^6.0.0"

0 comments on commit 38dea77

Please sign in to comment.